/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: PoolEntryStatistics.java 4389 2008-12-15 13:48:57Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.pool.impl;

/**
 * Provides statistics on an entry of the pool.
 * @author Florent Benoit
 */
public class PoolEntryStatistics {

    /**
     * Time when this element has been created.
     */
    private long createdTime = 0L;

    /**
     * @return creation time
     */
    public long getCreatedTime() {
        return createdTime;
    }

    /**
     * Sets the value of the creation time of this entry.
     * @param createdTime long value.
     */
    public void setCreatedTime(final long createdTime) {
        this.createdTime = createdTime;
    }
}
